< Déclaration d’impots sous Ubuntu 8.04 avec Firefox 3 beta 5 | Roozeec Linux Blog
1 Star2 Stars3 Stars4 Stars5 Stars (5 votes, average: 4, 80 out of 5)
Loading...Loading...

Déclaration d’impots sous Ubuntu 8.04 avec Firefox 3 beta 5

A en lire les forums Ubuntu, je ne suis pas le seul à avoir eu des soucis cette année avec la déclaration en ligne. Voici ma petite contribution pour tacher de vous expliquer une solution. En effet, en se connectant sur le site des impots avec son certificat et après le test de la configuration du PC :

On arrive a ca :

Pas fameux : Navigateur non certifié et machine virtuell Java non trouvée.

Je vais vous décrire ici rapidement ce que j’ai fait :

La première chose à faire c’est de vérifier le plugin java que vous avez sous firefox. Par défaut celle installé sous Hardy est la version GcJ. Vous pouvez voir ceci en tapant : about:plugins dans la barre d’adresse de firefox.:

GCJ Web Browser Plugin (using IcedTea) 1.0

Nom de fichier : gcjwebplugin.so
The GCJ Web Browser Plugin (using IcedTea) executes Java applets.

Ca ne fonctionne pas avec cette version, donc il faut la désinstaller avec la commande : sudo apt-get remove icedtea-gcjwebplugin

Ensuite, en lisant les forums (Declaration impots) , j’ai installé la version Java plugin 6 avec la commande : sudo apt-get install sun-java6-plugin
Ca ne fonctionnait pas mieux. En continuant mes investigations, j’ai créé les liens suivants :

sudo ln -s /usr/lib/jvm/java-6-sun-1.6.0.06/jre/plugin/i386/ns7/libjavaplugin_oji.so /usr/lib/firefox/plugins/

A partir de là , du mieux, la machine virtuelle Java est reconnue :

Je continue donc en enregistrant ma déclaration en cliquant sur suite. Tout se passe bien, jusqu’au moment de la signature :
2 carrés gris apparaissent, pas le choix du certificat a utiliser. J’ai fait de multiple manipulations, dont voici le détail :

sudo apt-get install libnss3-dev (http://forum.ubuntu-fr.org/viewtopic.php?id=210760&p=5)
sudo ln -s -f /usr/lib/libsoftokn3.so.0d /usr/lib/libsoftokn3.so
sudo ln -s -f /usr/lib/nss/libnssdbm3.so /usr/lib/libnssdbm3.so

Rien a faire, ca ne passe toujours pas ! Argh !!

DErnier recours, me dis-je , je repasse en java version 5 en supprimant java 6 (http://forum.ubuntu-fr.org/viewtopic.php?id=210760&p=5)

Dixit le forum :

Dans Synaptic:
– Cliquer sur Rechercher. Saisir « sun-java » (sans guillemets)
– Dans les résultats:
Clic droit « sun-java6-plugin », sélectionner pour suppression
Clic droit « sun-java5-plugin », sélectionner pour installation

Dans le menu de Synaptic, cliquer sur « Appliquer »
Laisser l’installation s’effectuer

J’ai ensuite basculé sur java 5 avec la commande : sudo update-alternatives –config java

Ensuite, ben… j’ai du quitter mon PC et je l’ai donc eteint ….

Quelques heures après je le redémarre, et je me reconnecte sur le site des impots et je me rends jusqu’a la signature et la que vois-je … :

Je sélectionne mon certificat :

Le site m’informe que le document est signé électroniquement et qu’il ne reste plus qu’a l’envoyer :

Et voilà :

Bon, voilà enfin terminé. Un peu plus compliqué cette année, due a firefox 3 et la machine Java 6. Appramment les site des impots n’a testé Linux que avec la distribution Mandriva …

Bon, en regardant les choses plus près , il y a des choses pas net qui trainent. En effet, le lien du fichier plugin libjavaplugin_oji.sopointe toujours sous la version 6 ….

 lrwxrwxrwx 1 root root   73 2008-05-27 07:52 libjavaplugin_oji.so -> /usr/lib/jvm/java-6-sun-1.6.0.06/jre/plugin/i386/ns7/libjavaplugin_oji.so
dguillerm@dguillerm-desktop:~$ ls -ltr /usr/lib/jvm/java-6-sun-1.6.0.06/jre/plugin/i386/ns7/libjavaplugin_oji.so
-rw-r–r– 1 root root 137085 2008-03-25 10:03 /usr/lib/jvm/java-6-sun-1.6.0.06/jre/plugin/i386/ns7/libjavaplugin_oji.so

La je ne comprends plus … car c’est bien le plugin 5 qui est activé dan s mon firefox

Java(TM) Plug-in 1.5.0_15-b04

Nom de fichier : libjavaplugin_oji.so
Java(TM) Plug-in 1.5.0_15

hum, hum …

Et vous avez vous eu des problèmes ? Avez vous fait la déclaration sous Linux, sous windows ?

Si vous avez aimé cet article, merci de voter pour lui ! :
Both comments and pings are currently closed.


Contrat Creative Commons
Cet article est sous licence Creative Commons Paternité
Partage des Conditions Initiales à l'Identique 2.0 France License

67 Responses to “Déclaration d’impots sous Ubuntu 8.04 avec Firefox 3 beta 5”

  1. Roozeec dit :

    @maze : sudo apt-get update devrait résoudre le pb, non ?

  2. Claude dit :

    Je l’ai fait sous Debian avec Firefox 2 à l’époque (maintenant 3RC2) sans aucun problème.

  3. daria dit :

    Merci pour ton billet :)

    Comme j’ai eu aussi avec Ubuntu Hardy, firefox 2 des problèmes avec la machine virtuelle java, après plusieurs essais infructueux, j’ai essayé avec succès et du premier coup avec l’eeePC et Linux/Xandros d’origine !

  4. freak0 dit :

    Pareil éxactement le même problème.

    Un mail au service concernés du trésors public et ils m’ont répondus en me copiant collant la liste des Prérequis qui sont sur le site.

    A les fonctionnaires je vous jure (j’en fait partie).

    Je teste ta méthode ce soir. Encore merci.

  5. manatlan dit :

    J’avais garder ton post sous le coude au cas où j’aurai d’éventuels probs.
    J’ai fini de faire mes déclarations (moi + copine) …
    et je n’ai rencontré aucun problème !
    a part l’indication comme quoi mon navigateur n’était pas top (j’ai firefox rc1)
    tout c’est passé comme sur des roulettes, sous ma hardy … je n’avais ni gcj, ni java 1.6 … j’étais déjà en 1.5 … j’ai du configurer ça jadis déjà (genre les précédents impots ;-)

    mais merci quand même …

    l’an prochain : je jure que je m’y prendrai plus tôt, car j’ai quand même un peu stressé

  6. rikagam dit :

    Merci bien !

    Comme sur des roulettes pour moi (ubuntu 8.04)… après quelques heures les mains dans le cambouis :P
    FF3
    j’avais sun-java6-plugin et dépendances.
    apt-get install sun-java5-plugin
    update-alternatives –config xulrunner-1.9-javaplugin.so #pour choisir le plugin pour firefox en java1.5, car le java6 ne veut pas fonctionner
    Et puis c’est tout. J’ai laissé mon JRE en java6 (update-alternatives –config java, que tout le monde conseillait de mettre à java1.5)
    Détail intéressant, quand je commençait ma déclaration, lors de la validation de mon système, il me refusait ma version java. Mais en fermant la fenêtre de refus, puis en recliquant sur « déclarer vos revenus », la validation passe ! étrange ?? problème de cache ? ou bien le temps que ma JVM démarre (PC un peu poussif) ?
    Nb: openjdk et icedtea ont précédemment été virés, mais je suis prêt à parier qu’on pouvait les laisser (sous réserve de bien configurer le update-alternatives, avec –all par exemple ;))
    Nb2: Sur mon amd64 (ubuntu 8.04 64bits), il m’a été impossible de faire fonctionner la télédéclaration (snif !)

    Encore merci

  7. […] lu les problèmes rencontrés par Roozeec avec Ubuntu 8.04 et Firefox 3 bêta 5, pourtant tout c’était bien passé pour lui 1 an […]

  8. Maze dit :

    Salut, merci de ta réponse propsant apt-get updates mais pour diverses raisons j’aime mieux pas faire ça !! Mais je vois quelqu’un sur amd64 n’ayant pas pu faire marcher et je suis en amd64 aussi. Peut-être que cette méthode ne fonctionne pas pour 64bit ?

  9. civ dit :

    Gutsy AMD 64 bits.
    Ai réussi à télédéclarer après bcq de recherche et d’essais :

    en utilisant Flock, navigateur 32 bits compilé sous 64 bits (téléchargeable via http://www.getdeb.net/app/Flock)
    + plugin java de Sun installé en manuel (lien libjavaplugin_oji.so installé sous /usr/share/flock/plugins/)

  10. Bruno dit :

    Salut civ,

    Merci pour cette info mais peux-tu être plus précis sur la façon d’installer le plugin java? Je croyais justement qu’il n’en existait pas pour les versions 64 bits…

  11. civ dit :

    Installe la version i586 « Linux (fichier auto-extractible)  » que tu trouveras à cette page : http://www.java.com/fr/download/manual.jsp
    ou par ce lien direct : http://javadl.sun.com/webapps/download/AutoDL?BundleId=20279
    ET selon les instructions de SUN :
    http://www.java.com/fr/download/help/5000010500.xml#selfextracting
    Personnellement, j’ai installé java sous /opt/java32 (répertoire que j’ai créé) puis j’ai créé un lien symbolique vers le plugin libjavaplugin_oji.so ; lien que j’ai « déplacé-installé » dans /usr/share/flock/plugins/.
    Le plugin fonctionne à la condition que le navigateur est en 32 bits – c’est le cas de flock même s’il est compilé en 64 bits !!!
    Et ça marche nickel !

  12. ed dit :

    bruno il existe bien le plugin java 64bits quand meme ;) pas besoin de s’embeter a prendre la version sur le site de sun ou d’utiliser un drole de navigateur comme le conseil civ ;)
    firefox 64bits peut en plus executer les plugins 32bits grace à nspluginwrapper

  13. civ dit :

    Ed, je suis bien d’accord avec toi ! et oui !…
    Perso j’utilise firefox + icedtea pour le java 1.7 en 64 bits qui me satisfont pleinement pour la quasi totalité des sites parcourus.
    Travaillant sous Gutsy 64 bits, je privilégie naturellement les paquets en 64bits lorsqu’ils existent.

    Seulement, je te rappelle que le but ici est de télédéclarer !
    Et qu’après de multiples essais, j’ai pas trouvé mieux que la solution Flock+java32 (ça doit aussi fonctionner avec Swiftfox+java32 mais je trouve Swiftox moins stable que Flock)
    Par ailleurs, mettre autre chose que le plugin de Sun pour télédéclarer…oups ! as-tu au moins essayer de télédéclarer (jusqu’au bout : la signature et l’envoi) sur un Linux 64 bits ?

  14. Bruno dit :

    Merci pour ces détails, civ, j’ai suivi ta procédure et ça marche effectivement très bien!

  15. zarer dit :

    Bonsoir @ tous les déclarants !

    Je fais partie des privilégiés : je viens tout juste de déclarer mes impôts sans problème… J’avais le message d’erreur sous FF 3 / Ubuntu 8.04 (navigateur non supporté). Ni une ni deux un p’tit reboot sous Debian Lenny, Iceweasel 2.0.0.12 et zû ! Ric rac !

    Bon… il y a toujours un message d’erreur avec le navigateur mais je suis passé outre… comme beaucoup.

  16. valenthildette dit :

    bonjour et merci à tous de votre contribution…

    meme si, honte à moi, j’ai également contourné le problème en télédéclarant sous xp, je me pose la question suivante :
    Madko dit :
    [quote]En tout cas faut pas voir ça contre un manque de considération par rapport à Linux, la DGFIP est un des ministeres le plus en avance sur l’utilisation et la promotion des logiciels libres (projets opensources, livres blancs, utilisation majoritaire de linux pour les serveurs et certains postes de travail, des relations avec des SSLL, financement de projest libres, etc). Pourquoi? parceque c’est mieux de réinjecter l’argent du contribuable dans des solutions libres qui profitent à tout le monde plutot que d’engraisser des editeurs privés de solutions proprio, fermées et non redistribuables, mais là ce n’est que mon avis.[/quote]

    en ce cas, pourquoi utiliser java, propriété de SUN, plutot que quelquechose de libre à la place… çà doit bien exister, non ?
    elle est stupide ma question ?

  17. Veig dit :

    Vi, je sais, je réveille un post mort depuis un an. Mais c’est juste pour dire : merci ! trugarez ! Bennozh Doue dit ! :-)

    (c’est le coup du plugin de firefox qui m’empêchait à chaque fois de signer la déclaration…)

Propulsé par WordPress


Contrat Creative Commons
Site sous licence Creative Commons Paternité
Partage des Conditions Initiales à l'Identique 2.0 France License
Web Analytics